// animations styles
@mixin slideup {
    transform: translate(0, 30px);
    opacity: 0;
    transition: all 0.35s ease-out;
}

@mixin slideleft {
    transform: translate(30px, 0);
    opacity: 0;
    transition: all 0.35s ease-out;
}

@mixin slideright {
    transform: translate(-30px, 0);
    opacity: 0;
    transition: all 0.35s ease-out;
}

@mixin slidedown {
    transform: translate(0, -30px);
    opacity: 0;
    transition: all 0.35s ease-out;
}

@mixin popout {
    transform: scale(0);
    transition: all 0.35s ease-out;
}

@keyframes popout {
    0% {
        transform: scale(0);
    }

    70% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

.slideup, .slideleft, .slideright, .slidedown {
    transform: translate(0, 0) !important;
    opacity: 1 !important;
}

.popout {
    animation: popout 0.3s ease-out 0s 1;
    transform: scale(1) !important;
}
